/**
 * @author king
 */
function changeDistrict(districtID, areaID, level, obj, selectVal) {
	$("#" + districtID).empty();
	if(areaID != '') {
		$("#" + areaID).empty();
		$("#" + areaID).append("<option value=''>请选择区县</option>");
	}
	var code = obj.value;
	$.ajax({
		type: 'POST',
		url: baseUrl + '/public/findCity.json',
		data:{"codeLevel":level,"parentCode":code},
		dataType:"json",
		cache: false,
		success: function(json) {
			if(level == '2') {
				$("#" + districtID).append("<option value=''>请选择市</option>");
			} else if(level == '3') {
				$("#" + districtID).append("<option value=''>请选择区县</option>");
			} else {
				$("#" + districtID).append("<option value=''>请选择</option>");
			}
			for(var i = 0; i < json.regionList.length; i++) {
				var obj = json.regionList[i];
				var appendStr = "<option value='" + obj.code + "' ";
				if (obj.code == selectVal) {
					appendStr = appendStr + "selected = 'selected'";
				}
				appendStr = appendStr + ">" + obj.name + "</option>"
				$("#" + districtID).append(appendStr);
			}
		}
	});
}

function passwordTest(obj) {
	var t = obj.value;
	var id = getResult(t);
	//定义对应的消息提示 
	var msg = new Array(4);
	msg[0] = "密码过短。";
	msg[1] = "密码强度差。";
	msg[2] = "密码强度良好。";
	msg[3] = "密码强度高。";
	var sty = new Array(4);
	sty[0] = -45;
	sty[1] = -30;
	sty[2] = -15;
	sty[3] = 0;
	var col = new Array(4);
	col[0] = "gray";
	col[1] = "#50AEDD";
	col[2] = "#FF8213";
	col[3] = "green";
	//设置显示效果 
	var bImg = "passwordLevel.gif" //一张显示用的图片 
	var sWidth = 250;
	var sHeight = 15;
	var Bobj = document.getElementById("nodetext");

	Bobj.style.fontSize = "12px";
	Bobj.style.color = col[id];
	Bobj.style.width = sWidth + "px";
	Bobj.style.height = sHeight + "px";
	Bobj.style.lineHeight = sHeight + "px";
	Bobj.style.background = "url(passwordLevel.gif) no-repeat left " + sty[id]
			+ "px";
	Bobj.style.textIndent = "20px";
	Bobj.innerHTML = "检测提示：" + msg[id];
}
//定义检测函数,返回0/1/2/3分别代表无效/差/一般/强 
function getResult(s) {
	if (s.length < 4) {
		return 0;
	}
	var ls = 0;
	if (s.match(/[a-z]/ig)) {
		ls++;
	}
	if (s.match(/[0-9]/ig)) {
		ls++;
	}
	if (s.match(/(.[^a-z0-9])/ig)) {
		ls++;
	}
	if (s.length < 6 && ls > 0) {
		ls--;
	}
	return ls
}

function getOs() {
	if (navigator.userAgent.indexOf("MSIE") > 0) {
		return "IE"; //InternetExplor  
	} else if (isFirefox = navigator.userAgent.indexOf("Firefox") > 0) {
		return "FF"; //firefox  
	} else if (isSafari = navigator.userAgent.indexOf("Safari") > 0) {
		return "SF"; //Safari  
	} else if (isCamino = navigator.userAgent.indexOf("Camino") > 0) {
		return "C"; //Camino  
	} else if (isMozilla = navigator.userAgent.indexOf("Gecko/") > 0) {
		return "G"; //Gecko  
	} else if (isMozilla = navigator.userAgent.indexOf("Opera") >= 0) {
		return "O"; //opera  
	} else {
		return 'Other';
	}

}